Bug 151128 - x86-64 kprobes vs %RIP-relative addressing mode
x86-64 kprobes vs %RIP-relative addressing mode
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Roland McGrath
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-15 02:51 EST by Roland McGrath
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-11 03:40:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
2.6.11 kernel patch (5.07 KB, patch)
2005-03-15 02:54 EST, Roland McGrath
no flags Details | Diff
draft 2 of 2.6.11 kernel patch (6.10 KB, patch)
2005-03-15 04:00 EST, Roland McGrath
no flags Details | Diff

  None (edit)
Description Roland McGrath 2005-03-15 02:51:11 EST
Description of problem:

kprobes inserted on an instruction using %rip addressing mode cause lossage.

Version-Release number of selected component (if applicable):

2.6.11

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Fix in the works.
Comment 1 Roland McGrath 2005-03-15 02:54:49 EST
Created attachment 112007 [details]
2.6.11 kernel patch

This patch works, but working through some cleanups with upstream.
Comment 2 Roland McGrath 2005-03-15 04:00:57 EST
Created attachment 112009 [details]
draft 2 of 2.6.11 kernel patch

New version of the patch after upstream feedback.
Comment 3 Roland McGrath 2005-03-15 04:01:34 EST
Waiting for upstream acceptance.
Comment 4 Roland McGrath 2005-04-11 03:40:00 EDT
This patch went in upstream, already in rawhide now.

Note You need to log in before you can comment on or make changes to this bug.